# Class MethodType

java.lang.Object
java.lang.invoke.MethodType

public class MethodType extends Object

##### Deprecated

these classes are used internally for Lambda compatibility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodType`
  `appendParameterTypes(Class<?>... a)`
  `MethodType`
  `appendParameterTypes(java.util.List<Class<?>> a)`
  `MethodType`
  `changeParameterType(int a, Class<?> b)`
  `MethodType`
  `changeReturnType(Class<?> a)`
  `MethodType`
  `dropParameterTypes(int a, int b)`
  `MethodType`
  `erase()`
  `MethodType`
  `generic()`
  `static MethodType`
  `genericMethodType(int a)`
  `static MethodType`
  `genericMethodType(int a, boolean b)`
  `boolean`
  `hasPrimitives()`
  `boolean`
  `hasWrappers()`
  `MethodType`
  `insertParameterTypes(int a, Class<?>... b)`
  `MethodType`
  `insertParameterTypes(int a, java.util.List<Class<?>> b)`
  `static MethodType`
  `methodType(Class<?> a)`
  `static MethodType`
  `methodType(Class<?> a, Class<?> b)`
  `static MethodType`
  `methodType(Class<?> a, Class<?>[] b)`
  `static MethodType`
  `methodType(Class<?> a, Class<?> b, Class<?>... c)`
  `static MethodType`
  `methodType(Class<?> a, MethodType b)`
  `static MethodType`
  `methodType(Class<?> a, java.util.List<Class<?>> b)`
  `Class<?>[]`
  `parameterArray()`
  `int`
  `parameterCount()`
  `java.util.List<Class<?>>`
  `parameterList()`
  `Class<?>`
  `parameterType(int a)`
  `Class<?>`
  `returnType()`
  `MethodType`
  `unwrap()`
  `MethodType`
  `wrap()`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodType

    public MethodType()

- ## Method Details

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?>[] b)

  - ### methodType

    public static MethodType methodType(Class<?> a, java.util.List<Class<?>> b)

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?> b, Class<?>... c)

  - ### methodType

    public static MethodType methodType(Class<?> a)

  - ### methodType

    public static MethodType methodType(Class<?> a, Class<?> b)

  - ### methodType

    public static MethodType methodType(Class<?> a, MethodType b)

  - ### genericMethodType

    public static MethodType genericMethodType(int a, boolean b)

  - ### genericMethodType

    public static MethodType genericMethodType(int a)

  - ### changeParameterType

    public MethodType changeParameterType(int a, Class<?> b)

  - ### insertParameterTypes

    public MethodType insertParameterTypes(int a, Class<?>... b)

  - ### appendParameterTypes

    public MethodType appendParameterTypes(Class<?>... a)

  - ### insertParameterTypes

    public MethodType insertParameterTypes(int a, java.util.List<Class<?>> b)

  - ### appendParameterTypes

    public MethodType appendParameterTypes(java.util.List<Class<?>> a)

  - ### dropParameterTypes

    public MethodType dropParameterTypes(int a, int b)

  - ### changeReturnType

    public MethodType changeReturnType(Class<?> a)

  - ### hasPrimitives

    public boolean hasPrimitives()

  - ### hasWrappers

    public boolean hasWrappers()

  - ### erase

    public MethodType erase()

  - ### generic

    public MethodType generic()

  - ### wrap

    public MethodType wrap()

  - ### unwrap

    public MethodType unwrap()

  - ### parameterType

    public Class<?> parameterType(int a)

  - ### parameterCount

    public int parameterCount()

  - ### returnType

    public Class<?> returnType()

  - ### parameterList

    public java.util.List<Class<?>> parameterList()

  - ### parameterArray

    public Class<?>[] parameterArray()